All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.publicobject
Class PublicTypeUtility

    com.sas.services.information.publicobject.PublicTypeUtility

    public class PublicTypeUtility

A class for Public Type utility methods.

Method Summary
`static java.lang.String` | `getLocalizedDescription(java.lang.String type)` Get the localized type description for the Public Type in the default locale.
`static java.lang.String` | `getLocalizedDescription(java.lang.String type, java.util.Locale locale)` Get the localized type description for the Public Type in the default locale.
`static java.lang.String` | `getLocalizedName(java.lang.String type)` Get the localized type string for the Public Type in the specified locale.
`static java.lang.String` | `getLocalizedName(java.lang.String type, java.util.Locale locale)` Get the localized type string for the Public Type in the specified locale.

Method Detail

### getLocalizedName

    public static java.lang.String getLocalizedName(java.lang.String type)

  Get the localized type string for the Public Type in the specified locale.

  Parameters:
    `type` - A type string from SmartTypes.
  Returns:
    The localized, display-friendly string for the type or "" if a resource with the correct name wasn't found.

### getLocalizedName

    public static java.lang.String getLocalizedName(java.lang.String type,
                                                    java.util.Locale locale)

  Get the localized type string for the Public Type in the specified locale.

  Parameters:
    `type` - A type string from SmartTypes.
    `locale` -
  Returns:
    The localized, display-friendly string for the type or "" if a resource with the correct name wasn't found.

### getLocalizedDescription

    public static java.lang.String getLocalizedDescription(java.lang.String type)

  Get the localized type description for the Public Type in the default locale.

  Parameters:
    `type` - A type string from SmartTypes.
  Returns:
    The localized, string for the type description or "" if a resource with the correct name wasn't found.

### getLocalizedDescription

    public static java.lang.String getLocalizedDescription(java.lang.String type,
                                                           java.util.Locale locale)

  Get the localized type description for the Public Type in the default locale.

  Parameters:
    `type` - A type string from SmartTypes.
    `locale` -
  Returns:
    The localized, string for the type description or "" if a resource with the correct name wasn't found.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.